summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-visualization/qtiplot
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-visualization/qtiplot')
-rw-r--r--sci-visualization/qtiplot/Manifest2
-rw-r--r--sci-visualization/qtiplot/files/qtiplot-0.9.7.10-dont-install-qwt.patch22
-rw-r--r--sci-visualization/qtiplot/files/qtiplot-0.9.8.6-gold.patch15
-rw-r--r--sci-visualization/qtiplot/files/qtiplot-0.9.8.7-kde.patch16
-rw-r--r--sci-visualization/qtiplot/files/qtiplot-0.9.8.8-system-gl2ps.patch76
-rw-r--r--sci-visualization/qtiplot/files/qtiplot-0.9.8.9-PyQt4-4.10.patch32
-rw-r--r--sci-visualization/qtiplot/files/qtiplot-0.9.8.9-PyQt4-4.11.3.patch32
-rw-r--r--sci-visualization/qtiplot/files/qtiplot-0.9.8.9-adopt_to_alglib3.patch115
-rw-r--r--sci-visualization/qtiplot/files/qtiplot-0.9.8.9-crasher_without_internet.patch25
-rw-r--r--sci-visualization/qtiplot/files/qtiplot-0.9.8.9-origin-2.patch38
-rw-r--r--sci-visualization/qtiplot/files/qtiplot-0.9.8.9-private.patch15
-rw-r--r--sci-visualization/qtiplot/files/qtiplot-0.9.8.9-qt48.patch29
-rw-r--r--sci-visualization/qtiplot/files/qtiplot-0.9.8.9-set_col_values.patch18
-rw-r--r--sci-visualization/qtiplot/files/qtiplot-0.9.8.9-sip-4.15.patch31
-rw-r--r--sci-visualization/qtiplot/metadata.xml12
-rw-r--r--sci-visualization/qtiplot/qtiplot-0.9.8.9-r2.ebuild240
-rw-r--r--sci-visualization/qtiplot/qtiplot-0.9.8.9-r3.ebuild242
17 files changed, 960 insertions, 0 deletions
diff --git a/sci-visualization/qtiplot/Manifest b/sci-visualization/qtiplot/Manifest
new file mode 100644
index 00000000000..1fd7b6f384e
--- /dev/null
+++ b/sci-visualization/qtiplot/Manifest
@@ -0,0 +1,2 @@
+DIST qtiplot-0.9.8.9-origin.patch.bz2 104708 SHA256 e83d7212be0fadae31b14c8a86b655fdb3b7c7b8fc80b1e2d91eb0a7e96b1e99 SHA512 62f5bb531c2fc7e061661ab5733a70acf9a61ff90a934af42b5741c63478caebabc8240f37d25660f623c5cbcd530e1303e967a095ca99b3452f29cfb5200b69 WHIRLPOOL 94b4b704737c2e6bb86caa00497164749df7eb01b13b49d06daa8f33b3e34d23782bde4fec617f35755c2e2f4286327bb39270bf48a9f020e94ef113f9d962bb
+DIST qtiplot-0.9.8.9.tar.bz2 16202943 SHA256 a523ea259516d7581abaf2fe376507d152db32f71d88176cff18f5bc391b9ef0 SHA512 3a0cb7b49c508f56228e8e3a259b4fd34c872410ad14ef1d8656372e3e8ab9f92e59094a9cc1a75680099a8832f7472ad31462b3ae8a9e132ac7056d5245cf2a WHIRLPOOL 3cf9d9ab7d58301364a61f6c5ad51858ffe1e6214c5971c1d042c7894fcb70fa4b28fe0e6631f142ab8fa9b2c2b979e4e178bc44b1961cde70b29d9aaa2c7d3f
diff --git a/sci-visualization/qtiplot/files/qtiplot-0.9.7.10-dont-install-qwt.patch b/sci-visualization/qtiplot/files/qtiplot-0.9.7.10-dont-install-qwt.patch
new file mode 100644
index 00000000000..86e4d4c6a9c
--- /dev/null
+++ b/sci-visualization/qtiplot/files/qtiplot-0.9.7.10-dont-install-qwt.patch
@@ -0,0 +1,22 @@
+diff --git a/3rdparty/qwt/qwtconfig.pri b/3rdparty/qwt/qwtconfig.pri
+index b7d0d0e..e36f131 100755
+--- a/3rdparty/qwt/qwtconfig.pri
++++ b/3rdparty/qwt/qwtconfig.pri
+@@ -7,17 +7,6 @@ VER_MIN = 2
+ VER_PAT = 0
+ VERSION = $${VER_MAJ}.$${VER_MIN}.$${VER_PAT}
+
+-unix {
+- INSTALLBASE = /usr/local/qwt-5.2.0
+-}
+-
+-win32 {
+- INSTALLBASE = C:/Qwt-5.2.0
+-}
+-
+-target.path = $$INSTALLBASE/lib
+-headers.path = $$INSTALLBASE/include
+-doc.path = $$INSTALLBASE/doc
+
+ ######################################################################
+ # qmake internal options
diff --git a/sci-visualization/qtiplot/files/qtiplot-0.9.8.6-gold.patch b/sci-visualization/qtiplot/files/qtiplot-0.9.8.6-gold.patch
new file mode 100644
index 00000000000..3b6757533a5
--- /dev/null
+++ b/sci-visualization/qtiplot/files/qtiplot-0.9.8.6-gold.patch
@@ -0,0 +1,15 @@
+ qtiplot/qtiplot.pro | 1 +
+ 1 files changed, 1 insertions(+), 0 deletions(-)
+
+diff --git a/qtiplot/qtiplot.pro b/qtiplot/qtiplot.pro
+index 99e0e36..b7cf373 100755
+--- a/qtiplot/qtiplot.pro
++++ b/qtiplot/qtiplot.pro
+@@ -20,6 +20,7 @@ LIBS += $$MUPARSER_LIBS
+ LIBS += $$QWT_LIBS
+ LIBS += $$QWT3D_LIBS
+ LIBS += $$GSL_LIBS
++LIBS += -lz
+
+ #############################################################################
+ ###################### BASIC PROJECT PROPERTIES #############################
diff --git a/sci-visualization/qtiplot/files/qtiplot-0.9.8.7-kde.patch b/sci-visualization/qtiplot/files/qtiplot-0.9.8.7-kde.patch
new file mode 100644
index 00000000000..af1dca42da4
--- /dev/null
+++ b/sci-visualization/qtiplot/files/qtiplot-0.9.8.7-kde.patch
@@ -0,0 +1,16 @@
+ qtiplot/src/plot2D/Graph.cpp | 1 +
+ 1 files changed, 1 insertions(+), 0 deletions(-)
+
+diff --git a/qtiplot/src/plot2D/Graph.cpp b/qtiplot/src/plot2D/Graph.cpp
+index 626172a..d4eab1b 100755
+--- a/qtiplot/src/plot2D/Graph.cpp
++++ b/qtiplot/src/plot2D/Graph.cpp
+@@ -73,7 +73,8 @@
+ #include <PatternBox.h>
+ #include <SymbolBox.h>
+ #include <LinearColorMap.h>
+
++#include <QPaintEngine>
+ #include <QApplication>
+ #include <QBitmap>
+ #include <QClipboard>
diff --git a/sci-visualization/qtiplot/files/qtiplot-0.9.8.8-system-gl2ps.patch b/sci-visualization/qtiplot/files/qtiplot-0.9.8.8-system-gl2ps.patch
new file mode 100644
index 00000000000..d7b40c414b1
--- /dev/null
+++ b/sci-visualization/qtiplot/files/qtiplot-0.9.8.8-system-gl2ps.patch
@@ -0,0 +1,76 @@
+ 3rdparty/qwtplot3d/qwtplot3d.pri | 8 ++++----
+ 3rdparty/qwtplot3d/qwtplot3d.pro | 3 ---
+ 3rdparty/qwtplot3d/src/qwt3d_io_gl2ps.cpp | 2 +-
+ 3rdparty/qwtplot3d/src/qwt3d_label.cpp | 2 +-
+ 4 files changed, 6 insertions(+), 9 deletions(-)
+
+diff --git a/3rdparty/qwtplot3d/qwtplot3d.pri b/3rdparty/qwtplot3d/qwtplot3d.pri
+index 45a0c3e..16bbe53 100755
+--- a/3rdparty/qwtplot3d/qwtplot3d.pri
++++ b/3rdparty/qwtplot3d/qwtplot3d.pri
+@@ -8,6 +8,8 @@ DEPENDPATH += src \
+ 3rdparty\gl2ps
+ INCLUDEPATH += .
+
++LIBS+=-lgl2ps
++
+ # Input
+ HEADERS += include/qwt3d_extglwidget.h \
+ include/qwt3d_color.h \
+@@ -37,8 +39,7 @@ HEADERS += include/qwt3d_extglwidget.h \
+ include/qwt3d_volumeplot.h \
+ include/qwt3d_graphplot.h \
+ include/qwt3d_multiplot.h \
+- include/qwt3d_io_gl2ps.h \
+- 3rdparty/gl2ps/gl2ps.h
++ include/qwt3d_io_gl2ps.h
+ SOURCES += src/qwt3d_extglwidget.cpp \
+ src/qwt3d_axis.cpp \
+ src/qwt3d_color.cpp \
+@@ -62,5 +63,4 @@ SOURCES += src/qwt3d_extglwidget.cpp \
+ src/qwt3d_function.cpp \
+ src/qwt3d_gridplot.cpp \
+ src/qwt3d_meshplot.cpp \
+- src/qwt3d_io_gl2ps.cpp \
+- 3rdparty/gl2ps/gl2ps.c
++ src/qwt3d_io_gl2ps.cpp
+diff --git a/3rdparty/qwtplot3d/qwtplot3d.pro b/3rdparty/qwtplot3d/qwtplot3d.pro
+index 95c8e26..18d03e3 100755
+--- a/3rdparty/qwtplot3d/qwtplot3d.pro
++++ b/3rdparty/qwtplot3d/qwtplot3d.pro
+@@ -31,9 +31,6 @@ RCC_DIR = $$DESTDIR/tmp
+ MOC_DIR = $$DESTDIR/tmp
+
+ DEFINES += GL2PS_HAVE_LIBPNG
+-INCLUDEPATH += ../zlib/
+-INCLUDEPATH += ../libpng/
+-LIBS += ../libpng/libpng.a
+
+ # install
+ target.path = lib
+diff --git a/3rdparty/qwtplot3d/src/qwt3d_io_gl2ps.cpp b/3rdparty/qwtplot3d/src/qwt3d_io_gl2ps.cpp
+index bc7a9d8..589cfd2 100755
+--- a/3rdparty/qwtplot3d/src/qwt3d_io_gl2ps.cpp
++++ b/3rdparty/qwtplot3d/src/qwt3d_io_gl2ps.cpp
+@@ -6,7 +6,7 @@
+ #include <locale.h>
+
+ #include "qwt3d_openglhelper.h"
+-#include "../3rdparty/gl2ps/gl2ps.h"
++#include "gl2ps.h"
+ #include "qwt3d_io_gl2ps.h"
+ #include "qwt3d_plot.h"
+
+diff --git a/3rdparty/qwtplot3d/src/qwt3d_label.cpp b/3rdparty/qwtplot3d/src/qwt3d_label.cpp
+index 7e54ad9..cc8bd60 100755
+--- a/3rdparty/qwtplot3d/src/qwt3d_label.cpp
++++ b/3rdparty/qwtplot3d/src/qwt3d_label.cpp
+@@ -1,7 +1,7 @@
+ #include <qbitmap.h>
+ #include "qwt3d_label.h"
+ #include "qwt3d_plot.h"
+-#include "../3rdparty/gl2ps/gl2ps.h"
++#include "gl2ps.h"
+
+ using namespace Qwt3D;
+
diff --git a/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-PyQt4-4.10.patch b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-PyQt4-4.10.patch
new file mode 100644
index 00000000000..67bd0a32d10
--- /dev/null
+++ b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-PyQt4-4.10.patch
@@ -0,0 +1,32 @@
+ qtiplot/python-sipcmd.py | 21 ++++++++++++++++++---
+ 1 file changed, 18 insertions(+), 3 deletions(-)
+
+diff --git a/qtiplot/python-sipcmd.py b/qtiplot/python-sipcmd.py
+index f643194..d8d1ef2 100755
+--- a/qtiplot/python-sipcmd.py
++++ b/qtiplot/python-sipcmd.py
+@@ -27,6 +27,21 @@
+ # #
+ ############################################################################
+
+-from PyQt4 import pyqtconfig
+-config = pyqtconfig.Configuration()
+-print " ".join([config.sip_bin, "-I", config.pyqt_sip_dir, config.pyqt_sip_flags])
++from __future__ import print_function
++
++import os
++import sipconfig
++import PyQt4.QtCore
++
++try:
++ # >= 4.10
++ SIP_FLAGS = PyQt4.QtCore.PYQT_CONFIGURATION['sip_flags']
++except:
++ import PyQt4.pyqtconfig
++ SIP_FLAGS = PyQt4.pyqtconfig.Configuration().pyqt_sip_flags
++
++PYQT_SIP_DIR = os.path.join(sipconfig.Configuration().default_sip_dir)
++SIP_BIN = sipconfig.Configuration().sip_bin
++SIP_INC_DIR = sipconfig.Configuration().sip_inc_dir
++
++print(" ".join([SIP_BIN, "-I", PYQT_SIP_DIR, SIP_FLAGS]))
diff --git a/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-PyQt4-4.11.3.patch b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-PyQt4-4.11.3.patch
new file mode 100644
index 00000000000..a011782550d
--- /dev/null
+++ b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-PyQt4-4.11.3.patch
@@ -0,0 +1,32 @@
+ qtiplot/python-sipcmd.py | 21 ++++++++++++++++++---
+ 1 file changed, 18 insertions(+), 3 deletions(-)
+
+diff --git a/qtiplot/python-sipcmd.py b/qtiplot/python-sipcmd.py
+index f643194..d8d1ef2 100755
+--- a/qtiplot/python-sipcmd.py
++++ b/qtiplot/python-sipcmd.py
+@@ -27,6 +27,21 @@
+ # #
+ ############################################################################
+
+-from PyQt4 import pyqtconfig
+-config = pyqtconfig.Configuration()
+-print " ".join([config.sip_bin, "-I", config.pyqt_sip_dir, config.pyqt_sip_flags])
++from __future__ import print_function
++
++import os
++import sipconfig
++import PyQt4.QtCore
++
++try:
++ # >= 4.10
++ SIP_FLAGS = PyQt4.QtCore.PYQT_CONFIGURATION['sip_flags']
++except:
++ import PyQt4.pyqtconfig
++ SIP_FLAGS = PyQt4.pyqtconfig.Configuration().pyqt_sip_flags
++
++PYQT_SIP_DIR = os.path.join(sipconfig.Configuration().default_sip_dir, 'PyQt4')
++SIP_BIN = sipconfig.Configuration().sip_bin
++SIP_INC_DIR = sipconfig.Configuration().sip_inc_dir
++
++print(" ".join([SIP_BIN, "-I", PYQT_SIP_DIR, SIP_FLAGS]))
diff --git a/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-adopt_to_alglib3.patch b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-adopt_to_alglib3.patch
new file mode 100644
index 00000000000..8f1bde25a03
--- /dev/null
+++ b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-adopt_to_alglib3.patch
@@ -0,0 +1,115 @@
+Description: adoptation to alglib3.
+Author: Anton Gladky <gladk@debian.org>
+Last-Update: 2013-05-16
+
+--- a/qtiplot/src/analysis/dialogs/GriddingDialog.cpp
++++ b/qtiplot/src/analysis/dialogs/GriddingDialog.cpp
+@@ -41,7 +41,7 @@
+ #include <QComboBox>
+ #include <QLayout>
+
+-#include <idwint.h>
++#include <interpolation.h>
+
+ GriddingDialog::GriddingDialog(Table* t, const QString& colName, int nodes, QWidget* parent, Qt::WFlags fl )
+ : QDialog( parent, fl ),
+@@ -365,26 +365,27 @@
+ Matrix* m = app->newMatrix(rows, cols);
+ m->setCoordinates(xmin, xmax, ymin, ymax);
+
+- idwinterpolant z;
++ alglib::idwinterpolant z;
++
+ switch (boxMethod->currentIndex()){
+ case 0:
+- idwbuildmodifiedshepardr(xy, d_nodes, 2, boxRadius->value(), z);
++ alglib::idwbuildmodifiedshepardr(xy, d_nodes, 2, boxRadius->value(), z);
+ break;
+ case 1:
+- idwbuildmodifiedshepard(xy, d_nodes, 2, boxModel->currentIndex() + 1, boxNQ->value(), boxNW->value(), z);
++ alglib::idwbuildmodifiedshepard(xy, d_nodes, 2, boxModel->currentIndex() + 1, boxNQ->value(), boxNW->value(), z);
+ break;
+ case 2:
+- idwbuildnoisy(xy, d_nodes, 2, boxModel->currentIndex() + 1, boxNQ->value(), boxNW->value(), z);
++ alglib::idwbuildnoisy(xy, d_nodes, 2, boxModel->currentIndex() + 1, boxNQ->value(), boxNW->value(), z);
+ break;
+ }
+
+- ap::real_1d_array p;
++ alglib::real_1d_array p;
+ p.setlength(2);
+ for (int i = 0; i < rows; i++){
+ p(1) = ymin + i*ystep;
+ for (int j = 0; j < cols; j++){
+ p(0) = xmin + j*xstep;
+- m->setCell(i, j, idwcalc(z, p));
++ m->setCell(i, j, alglib::idwcalc(z, p));
+ }
+ }
+
+@@ -435,20 +436,20 @@
+ double xstep = fabs(xmax - xmin)/(cols - 1);
+ double ystep = fabs(ymax - ymin)/(rows - 1);
+
+- idwinterpolant z;
++ alglib::idwinterpolant z;
+ switch (boxMethod->currentIndex()){
+ case 0:
+- idwbuildmodifiedshepardr(xy, d_nodes, 2, boxRadius->value(), z);
++ alglib::idwbuildmodifiedshepardr(xy, d_nodes, 2, boxRadius->value(), z);
+ break;
+ case 1:
+- idwbuildmodifiedshepard(xy, d_nodes, 2, boxModel->currentIndex() + 1, boxNQ->value(), boxNW->value(), z);
++ alglib::idwbuildmodifiedshepard(xy, d_nodes, 2, boxModel->currentIndex() + 1, boxNQ->value(), boxNW->value(), z);
+ break;
+ case 2:
+- idwbuildnoisy(xy, d_nodes, 2, boxModel->currentIndex() + 1, boxNQ->value(), boxNW->value(), z);
++ alglib::idwbuildnoisy(xy, d_nodes, 2, boxModel->currentIndex() + 1, boxNQ->value(), boxNW->value(), z);
+ break;
+ }
+
+- ap::real_1d_array p;
++ alglib::real_1d_array p;
+ p.setlength(2);
+
+ double **data_matrix = Matrix::allocateMatrixData(cols, rows);
+@@ -456,7 +457,7 @@
+ p(1) = ymin + i*ystep;
+ for (int j = 0; j < cols; j++){
+ p(0) = xmin + j*xstep;
+- data_matrix[j][i] = idwcalc(z, p);
++ data_matrix[j][i] = alglib::idwcalc(z, p);
+ }
+ }
+
+--- a/qtiplot/src/analysis/dialogs/GriddingDialog.h
++++ b/qtiplot/src/analysis/dialogs/GriddingDialog.h
+@@ -71,7 +71,7 @@
+
+ QString d_col_name;
+ int d_nodes;
+- ap::real_2d_array xy;
++ alglib::real_2d_array xy;
+
+ QPushButton* buttonFit;
+ QPushButton* buttonCancel;
+--- a/qtiplot/src/matrix/MatrixModel.cpp
++++ b/qtiplot/src/matrix/MatrixModel.cpp
+@@ -45,7 +45,7 @@
+ #include <stdlib.h>
+
+ #ifdef HAVE_ALGLIB
+- #include <spline2d.h>
++ #include <interpolation.h>
+ #endif
+
+ MatrixModel::MatrixModel(int rows, int cols, QObject *parent)
+@@ -1026,7 +1026,7 @@
+ #ifdef HAVE_ALGLIB
+ QApplication::setOverrideCursor(QCursor(Qt::WaitCursor));
+
+- ap::real_2d_array oldValues, newValues;
++ alglib::real_2d_array oldValues, newValues;
+ oldValues.setlength(d_rows, d_cols);
+ newValues.setlength(rows, cols);
+
diff --git a/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-crasher_without_internet.patch b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-crasher_without_internet.patch
new file mode 100644
index 00000000000..fe542341e99
--- /dev/null
+++ b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-crasher_without_internet.patch
@@ -0,0 +1,25 @@
+Description: Crashes if not connected to the internet.
+Author: Scott Howard <showard@debian.org>
+Bug-Debian: http://bugs.debian.org/626915
+
+Index: qtiplot/qtiplot/src/core/ApplicationWindow.cpp
+===================================================================
+--- qtiplot.orig/qtiplot/src/core/ApplicationWindow.cpp 2012-11-07 11:14:15.021706679 -0500
++++ qtiplot/qtiplot/src/core/ApplicationWindow.cpp 2012-11-07 11:14:22.853706641 -0500
+@@ -16228,11 +16228,12 @@
+ if (hostInfo.error() != QHostInfo::NoError){
+ QApplication::restoreOverrideCursor();
+ QMessageBox::critical(this, tr("QtiPlot - Error"), qtiplotWeb + ": " + hostInfo.errorString());
+- exit(0);
++ QApplication::restoreOverrideCursor();
++ }
++ else {
++ QApplication::restoreOverrideCursor();
++ showDonationsPage();
+ }
+-
+- QApplication::restoreOverrideCursor();
+- showDonationsPage();
+ }
+
+ void ApplicationWindow::parseCommandLineArguments(const QStringList& args)
diff --git a/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-origin-2.patch b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-origin-2.patch
new file mode 100644
index 00000000000..d85420b790f
--- /dev/null
+++ b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-origin-2.patch
@@ -0,0 +1,38 @@
+diff -ruN qtiplot-0.9.8.9-origin/qtiplot/exportEMF.pro qtiplot-0.9.8.9/qtiplot/exportEMF.pro
+--- qtiplot-0.9.8.9-origin/qtiplot/exportEMF.pro 2012-01-21 20:39:03.000000000 +0100
++++ qtiplot-0.9.8.9/qtiplot/exportEMF.pro 2012-01-21 20:32:45.000000000 +0100
+@@ -5,6 +5,7 @@
+
+ INCLUDEPATH += $$QWT_INCLUDEPATH
+ INCLUDEPATH += $$GSL_INCLUDEPATH
++INCLUDEPATH += $$EMF_INCLUDEPATH
+
+ include(src/core/core.pri)
+ include(src/lib/libqti.pri)
+diff -ruN qtiplot-0.9.8.9-origin/qtiplot/qtiplot.pro qtiplot-0.9.8.9/qtiplot/qtiplot.pro
+--- qtiplot-0.9.8.9-origin/qtiplot/qtiplot.pro 2011-11-07 10:17:21.000000000 +0100
++++ qtiplot-0.9.8.9/qtiplot/qtiplot.pro 2012-01-21 20:44:11.000000000 +0100
+@@ -236,9 +236,9 @@
+ ###############################################################
+
+ TARGET = qtiplot
+-DESTDIR = ../
++DESTDIR = ./
+ LIBS += ../tmp/qtiplot/libFreeSoftwareQtiPlotExportEMF.a \
+ ../tmp/qtiplot/libFreeSoftwareQtiPlotImportOPJ.a
+
+ include(src/plugins/exportEMF/exportEMF.pri)
+-include(src/plugins/OriginPlugin/OriginPlugin.pri)
+\ Kein Zeilenumbruch am Dateiende.
++include(src/plugins/OriginPlugin/OriginPlugin.pri)
+diff -ruN qtiplot-0.9.8.9-origin/qtiplot/src/plugins/exportEMF/exportEMF.pri qtiplot-0.9.8.9/qtiplot/src/plugins/exportEMF/exportEMF.pri
+--- qtiplot-0.9.8.9-origin/qtiplot/src/plugins/exportEMF/exportEMF.pri 2011-10-27 13:44:34.000000000 +0200
++++ qtiplot-0.9.8.9/qtiplot/src/plugins/exportEMF/exportEMF.pri 2012-01-21 20:51:34.000000000 +0100
+@@ -10,5 +10,5 @@
+ SOURCES += src/plugins/exportEMF/exportEMF.cpp \
+ src/plugins/exportEMF/3rdparty/EmfEngine/src/EmfEngine.cpp \
+ src/plugins/exportEMF/3rdparty/EmfEngine/src/EmfPaintDevice.cpp
+-
+-LIBS += -lgdi32
++
++LIBS += -lEMF
diff --git a/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-private.patch b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-private.patch
new file mode 100644
index 00000000000..7bec3771813
--- /dev/null
+++ b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-private.patch
@@ -0,0 +1,15 @@
+diff -ruN qtiplot-0.9.8.9.orig/qtiplot/src/plot2D/ImageWidget.h qtiplot-0.9.8.9/qtiplot/src/plot2D/ImageWidget.h
+--- qtiplot-0.9.8.9.orig/qtiplot/src/plot2D/ImageWidget.h 2010-10-17 09:04:05.000000000 +0200
++++ qtiplot-0.9.8.9/qtiplot/src/plot2D/ImageWidget.h 2013-11-01 12:11:36.559973891 +0100
+@@ -67,10 +67,10 @@
+ void setWindowName(const QString& name){d_window_name = name;};
+
+ static QPixmap windowPixmap(ApplicationWindow *mw, const QString& name, const QSize& size);
++ void paintEvent(QPaintEvent *e);
+
+ private:
+ void draw(QPainter *painter, const QRect& r);
+- void paintEvent(QPaintEvent *e);
+ QPixmap d_pix;
+ //! The file from which the image was loaded.
+ QString d_file_name;
diff --git a/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-qt48.patch b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-qt48.patch
new file mode 100644
index 00000000000..31c8a5ee7af
--- /dev/null
+++ b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-qt48.patch
@@ -0,0 +1,29 @@
+ 3rdparty/qwtplot3d/include/qwt3d_openglhelper.h | 2 ++
+ qtiplot/src/plot3D/Cone3D.cpp | 1 +
+ 2 files changed, 3 insertions(+), 0 deletions(-)
+
+diff --git a/3rdparty/qwtplot3d/include/qwt3d_openglhelper.h b/3rdparty/qwtplot3d/include/qwt3d_openglhelper.h
+index 0ee80de..3d02e3f 100755
+--- a/3rdparty/qwtplot3d/include/qwt3d_openglhelper.h
++++ b/3rdparty/qwtplot3d/include/qwt3d_openglhelper.h
+@@ -8,6 +8,8 @@
+ #include <QtOpenGL/qgl.h>
+ #endif
+
++#include <GL/glu.h>
++
+ namespace Qwt3D
+ {
+
+diff --git a/qtiplot/src/plot3D/Cone3D.cpp b/qtiplot/src/plot3D/Cone3D.cpp
+index 16df12d..169d5c7 100755
+--- a/qtiplot/src/plot3D/Cone3D.cpp
++++ b/qtiplot/src/plot3D/Cone3D.cpp
+@@ -27,6 +27,7 @@
+ * *
+ ***************************************************************************/
+ #include <math.h>
++#include <GL/glu.h>
+ #include "qwt3d_color.h"
+ #include "qwt3d_plot.h"
+ #include <qwt3d_curve.h>
diff --git a/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-set_col_values.patch b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-set_col_values.patch
new file mode 100644
index 00000000000..5afe43eb3da
--- /dev/null
+++ b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-set_col_values.patch
@@ -0,0 +1,18 @@
+Description: if you don't initialize the "i" variable, or initialize it to 0.0
+ qtiplot won't let you set the column values using muparser.
+Author: Scott Howard <showard@debian.org>
+Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=707736
+
+Index: qtiplot/qtiplot/src/table/Table.cpp
+===================================================================
+--- qtiplot.orig/qtiplot/src/table/Table.cpp 2013-06-08 02:06:35.550201324 -0400
++++ qtiplot/qtiplot/src/table/Table.cpp 2013-06-08 02:08:30.026204044 -0400
+@@ -564,7 +564,7 @@
+ QApplication::setOverrideCursor(QCursor(Qt::WaitCursor));
+
+ muParserScript *mup = new muParserScript(scriptEnv, cmd, this, QString("<%1>").arg(colName(col)));
+- double *r = mup->defineVariable("i");
++ double *r = mup->defineVariable("i",startRow + 1.0);
+ mup->defineVariable("j", (double)col);
+ mup->defineVariable("sr", startRow + 1.0);
+ mup->defineVariable("er", endRow + 1.0);
diff --git a/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-sip-4.15.patch b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-sip-4.15.patch
new file mode 100644
index 00000000000..c08163019a3
--- /dev/null
+++ b/sci-visualization/qtiplot/files/qtiplot-0.9.8.9-sip-4.15.patch
@@ -0,0 +1,31 @@
+--- ./qtiplot/src/analysis/FFT.cpp.orig 2011-07-06 11:51:08.000000000 +0000
++++ ./qtiplot/src/analysis/FFT.cpp 2013-10-23 23:07:45.674925476 +0000
+@@ -353,7 +353,7 @@
+ ml->arrangeLayers(false, false);
+ }
+
+-bool FFT::setDataFromTable(Table *t, const QString& realColName, const QString& imagColName, int from, int to)
++bool FFT::setDataFromTable(Table *t, const QString& realColName, const QString& imagColName, int from, int to, bool unused)
+ {
+ d_init_err = true;
+
+--- ./qtiplot/src/analysis/FFT.h.orig 2011-07-05 22:05:03.000000000 +0000
++++ ./qtiplot/src/analysis/FFT.h 2013-10-23 23:11:34.277924367 +0000
+@@ -52,6 +52,8 @@
+ Matrix *realOutputMatrix(){return d_re_out_matrix;}
+ Matrix *imaginaryOutputMatrix(){return d_im_out_matrix;}
+
++ bool setDataFromTable(Table *t, const QString& realColName, const QString& imagColName = QString(), int from = 0, int to = -1, bool unused = false);
++
+ private:
+ void init();
+ void output();
+@@ -60,8 +62,6 @@
+ void fftTable();
+ void fftMatrix();
+
+- bool setDataFromTable(Table *t, const QString& realColName, const QString& imagColName = QString(), int from = 0, int to = -1);
+-
+ double d_sampling;
+ //! Flag telling if an inverse FFT must be performed.
+ bool d_inverse;
diff --git a/sci-visualization/qtiplot/metadata.xml b/sci-visualization/qtiplot/metadata.xml
new file mode 100644
index 00000000000..51a10f76451
--- /dev/null
+++ b/sci-visualization/qtiplot/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci</herd>
+ <longdescription>
+ Data analysis and scientific plotting package. This is a clone of the
+ popular Origin software available on another well known platform implemented
+ in Qt with powerful 2D and 3D data plotting, ASCII import and powerful
+ spreadsheet data manipulation using column logic. Curve fitting and other
+ statistical tools are also available.
+ </longdescription>
+</pkgmetadata>
diff --git a/sci-visualization/qtiplot/qtiplot-0.9.8.9-r2.ebuild b/sci-visualization/qtiplot/qtiplot-0.9.8.9-r2.ebuild
new file mode 100644
index 00000000000..c2f255af2a3
--- /dev/null
+++ b/sci-visualization/qtiplot/qtiplot-0.9.8.9-r2.ebuild
@@ -0,0 +1,240 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils qt4-r2 fdo-mime python-single-r1 toolchain-funcs
+
+DESCRIPTION="Qt based clone of the Origin plotting package"
+HOMEPAGE="http://soft.proindependent.com/qtiplot.html
+ http://www.staff.science.uu.nl/~zeven101/qtiplot.html"
+SRC_URI="
+ http://dev.gentoo.org/~dilfridge/distfiles/${P}.tar.bz2
+ http://dev.gentoo.org/~dilfridge/distfiles/${P}-origin.patch.bz2"
+
+LICENSE="GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
+IUSE="bindist doc mono latex python"
+
+LANGS="cn cz de es fr ja ro ru sv"
+for l in ${LANGS}; do
+ lu=${l/cz/cs}
+ lu=${lu/cn/zh_CN}
+ IUSE="${IUSE} linguas_${lu}"
+done
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+# qwtplot3d much modified from original upstream
+# >=x11-libs/qwt-5.3 they are using trunk checkouts
+CDEPEND="
+ media-libs/libemf
+ dev-qt/qthelp:4
+ dev-qt/qtgui:4
+ dev-qt/qtopengl:4
+ dev-qt/qt3support:4
+ dev-qt/qthelp:4[compat]
+ dev-qt/qtsvg:4
+ >=x11-libs/gl2ps-1.3.5[png]
+ >=dev-cpp/muParser-1.32
+ >=dev-libs/boost-1.35.0:=
+ dev-libs/quazip
+ media-libs/libpng:=
+ sci-libs/alglib
+ sci-libs/gsl
+ sci-libs/tamu_anova
+ latex? ( dev-tex/qtexengine )
+ mono? ( dev-dotnet/libgdiplus )
+ python? ( ${PYTHON_DEPS} )"
+DEPEND="${CDEPEND}
+ virtual/pkgconfig
+ python? ( >=dev-python/sip-4.9[${PYTHON_USEDEP}] )
+ doc? (
+ >=app-text/docbook-sgml-utils-0.6.14-r1
+ >=app-text/docbook-xml-dtd-4.4-r2:4.4 )"
+
+RDEPEND="${CDEPEND}
+ python? ( dev-python/PyQt4[X,${PYTHON_USEDEP}] )"
+
+PATCHES=(
+ "${DISTDIR}"/${P}-origin.patch.bz2
+ "${FILESDIR}"/${P}-origin-2.patch
+ "${FILESDIR}"/${P}-qt48.patch
+ "${FILESDIR}"/${PN}-0.9.8.8-system-gl2ps.patch
+ "${FILESDIR}"/${PN}-0.9.7.10-dont-install-qwt.patch
+ "${FILESDIR}"/${PN}-0.9.8.6-gold.patch
+ "${FILESDIR}"/${PN}-0.9.8.7-kde.patch
+ "${FILESDIR}"/${P}-set_col_values.patch
+ "${FILESDIR}"/${P}-adopt_to_alglib3.patch
+ "${FILESDIR}"/${P}-crasher_without_internet.patch
+ "${FILESDIR}"/${P}-private.patch
+ "${FILESDIR}"/${P}-sip-4.15.patch
+ "${FILESDIR}"/${P}-PyQt4-4.10.patch
+ )
+
+RESTRICT="!bindist? ( bindist )"
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ local mylibs
+
+ qt4-r2_src_prepare
+
+ rm -rf 3rdparty/{liborigin,QTeXEngine,/qwtplot3d/3rdparty/gl2ps/,boost,alglib} || die
+ sed \
+ -e "s:dll:static:g" \
+ -e "/INSTALLS/d" \
+ -i 3rdparty/qwtplot3d/*.pro
+
+ mylibs="${mylibs} -lquazip"
+ use mono && mylibs="${mylibs} $($(tc-getPKG_CONFIG) --libs libgdiplus)"
+
+ # Check build.conf for changes on bump.
+ cat > build.conf <<-EOF
+ # Automatically generated by Gentoo ebuild
+ isEmpty( QTI_ROOT ) {
+ message( "each file including this config needs to set QTI_ROOT to the dir containing this file!" )
+ }
+
+ MUPARSER_LIBS = $($(tc-getPKG_CONFIG) --libs muparser)
+ GSL_LIBS = $($(tc-getPKG_CONFIG) --libs gsl)
+ QWT_INCLUDEPATH = \$\$QTI_ROOT/3rdparty/qwt/src
+ QWT_LIBS = \$\$QTI_ROOT/3rdparty/qwt/lib/libqwt.a
+ QWT3D_INCLUDEPATH = \$\$QTI_ROOT/3rdparty/qwtplot3d/include
+ QWT3D_LIBS = \$\$QTI_ROOT/3rdparty/qwtplot3d/lib/libqwtplot3d.a
+ EMF_INCLUDEPATH = "${EPREFIX}/usr/include/libEMF
+ SYS_LIBS = -lgl2ps ${mylibs} -lGLU
+
+ LUPDATE = lupdate
+ LRELEASE = lrelease
+
+ SCRIPTING_LANGS += muParser
+
+ CONFIG += release
+ CONFIG += CustomInstall
+ DEFINES += SCRIPTING_CONSOLE
+
+ LIBPNG_LIBS = $($(tc-getPKG_CONFIG) --libs libpng)
+ TAMUANOVA_LIBS = -ltamuanova
+ TAMUANOVA_INCLUDEPATH = "${EPREFIX}/usr/include/tamu_anova"
+ ALGLIB_LIBS = -lalglib
+
+ EOF
+
+ use bindist && echo "DEFINES += QTIPLOT_SUPPORT" >> build.conf
+ use bindist || echo "DEFINES += QTIPLOT_PRO" >> build.conf
+ use python && echo "SCRIPTING_LANGS += Python" >> build.conf
+ use python && echo "PYTHON = ${EPYTHON}" >> build.conf
+ use latex && echo "TEX_ENGINE_LIBS = -lQTeXEngine" >> build.conf
+
+ sed \
+ -e "s:doc/${PN}/manual:doc/${PN}/html:" \
+ -e '/INSTALLS.*documentation/d' \
+ -e '/INSTALLS.*manual/d' \
+ -e "/INSTALLBASE/s: /usr: ${EPREFIX}/usr:g" \
+ -e 's:/usr/local/qtiplot:$$INSTALLBASE:g' \
+ -i qtiplot/qtiplot.pro || die
+
+ if use python; then
+ sed \
+ -e "s:/usr/local/${PN}:${EPREFIX}$(python_get_sitedir)/qtiplot:" \
+ -i qtiplot/qtiplot.pro || die
+ fi
+
+ sed \
+ -e "/^target.path/s:/usr:${EPREFIX}/usr:g" \
+ -i fitPlugins/*/*.pro || die
+
+ sed -e '/manual/d' -i qtiplot.pro || die
+
+ sed -e "s:QTIPLOT_PRO:QTIPLOT_PROFESSIONAL:g" -i qtiplot/src/core/main.cpp || die
+
+ # Drop langs only if LINGUAS is not empty
+ if [[ -n ${LINGUAS} ]]; then
+ for l in ${LANGS}; do
+ lu=${l/cz/cs}
+ lu=${lu/cn/zh_CN}
+ use linguas_${lu} || \
+ sed -e "s:translations/qtiplot_${l}.[tq][sm]::" \
+ -i qtiplot/qtiplot.pro || die
+ done
+ fi
+
+ sed \
+ -e "s:d_python_config_folder + \":\"${EPREFIX}/usr/share/qtiplot:g" \
+ -i qtiplot/src/core/ApplicationWindow.cpp || die
+
+ chmod -x qtiplot/qti_wordlist.txt
+
+ # sed out debian paths
+ sed -e 's:\(/usr/share/sgml/\)docbook/stylesheet/dsssl/modular\(/html/docbook.dsl\):\1stylesheets/dsssl/docbook\2:' \
+ -i manual/qtiplot.dsl || die
+ sed -e 's:\(/usr/share/\)xml/docbook/stylesheet/nwalsh\(/html/chunk.xsl\):\1sgml/docbook/xsl-stylesheets\2:' \
+ -i manual/qtiplot_html.xsl || die
+
+ sed \
+ -e '1i#define OF(x) x' \
+ -i 3rdparty/zlib/minigzip.c || die
+}
+
+src_configure() {
+ use amd64 && export QMAKESPEC="linux-g++-64"
+ eqmake4
+}
+
+src_compile() {
+ emake
+ lrelease qtiplot/qtiplot.pro || die
+ if use doc; then
+ cd manual
+ emake web
+ fi
+}
+
+src_install() {
+ qt4-r2_src_install
+
+ insinto /usr/share/qtiplot
+ doins qtiplot/qti_wordlist.txt
+
+ newicon qtiplot_logo.png qtiplot.png
+ make_desktop_entry qtiplot "QtiPlot Scientific Plotting" qtiplot
+
+ use doc && dohtml -r manual/html/*
+
+ use python && python_optimize
+
+ if [[ -n ${LINGUAS} ]]; then
+ insinto /usr/share/${PN}/translations
+ for l in ${LANGS}; do
+ lu=${l/cz/cs}
+ lu=${lu/cn/zh_CN}
+ use linguas_${lu} && \
+ doins qtiplot/translations/qtiplot_${l}.qm
+ done
+ fi
+}
+
+pkg_postinst() {
+ if use python; then
+ elog "You might want to emerge"
+ elog "\t dev-python/pygsl"
+ elog "\t dev-python/rpy"
+ elog "\t sci-libs/scipy and"
+ elog "\t dev-python/sympy"
+ elog "to gain full python support."
+ fi
+
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}
diff --git a/sci-visualization/qtiplot/qtiplot-0.9.8.9-r3.ebuild b/sci-visualization/qtiplot/qtiplot-0.9.8.9-r3.ebuild
new file mode 100644
index 00000000000..6441b0be5b7
--- /dev/null
+++ b/sci-visualization/qtiplot/qtiplot-0.9.8.9-r3.ebuild
@@ -0,0 +1,242 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils qt4-r2 fdo-mime python-single-r1 toolchain-funcs
+
+DESCRIPTION="Qt based clone of the Origin plotting package"
+HOMEPAGE="http://soft.proindependent.com/qtiplot.html
+ http://www.staff.science.uu.nl/~zeven101/qtiplot.html"
+SRC_URI="
+ http://dev.gentoo.org/~dilfridge/distfiles/${P}.tar.bz2
+ http://dev.gentoo.org/~dilfridge/distfiles/${P}-origin.patch.bz2"
+
+LICENSE="GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="bindist doc mono latex python"
+
+LANGS="cn cz de es fr ja ro ru sv"
+for l in ${LANGS}; do
+ lu=${l/cz/cs}
+ lu=${lu/cn/zh_CN}
+ IUSE="${IUSE} linguas_${lu}"
+done
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+# qwtplot3d much modified from original upstream
+# >=x11-libs/qwt-5.3 they are using trunk checkouts
+CDEPEND="
+ media-libs/libemf
+ dev-qt/qthelp:4
+ dev-qt/qtgui:4
+ dev-qt/qtopengl:4
+ dev-qt/qt3support:4
+ dev-qt/qthelp:4[compat]
+ dev-qt/qtsvg:4
+ >=x11-libs/gl2ps-1.3.5[png]
+ >=dev-cpp/muParser-1.32
+ >=dev-libs/boost-1.35.0:=
+ dev-libs/quazip
+ media-libs/libpng:=
+ sci-libs/alglib
+ sci-libs/gsl
+ sci-libs/tamu_anova
+ latex? ( dev-tex/qtexengine )
+ mono? ( dev-dotnet/libgdiplus )
+ python? (
+ ${PYTHON_DEPS}
+ >=dev-python/PyQt4-4.11.3[X,${PYTHON_USEDEP}]
+ )"
+DEPEND="${CDEPEND}
+ virtual/pkgconfig
+ python? ( >=dev-python/sip-4.16.5[${PYTHON_USEDEP}] )
+ doc? (
+ >=app-text/docbook-sgml-utils-0.6.14-r1
+ >=app-text/docbook-xml-dtd-4.4-r2:4.4 )"
+
+RDEPEND="${CDEPEND}"
+
+PATCHES=(
+ "${DISTDIR}"/${P}-origin.patch.bz2
+ "${FILESDIR}"/${P}-origin-2.patch
+ "${FILESDIR}"/${P}-qt48.patch
+ "${FILESDIR}"/${PN}-0.9.8.8-system-gl2ps.patch
+ "${FILESDIR}"/${PN}-0.9.7.10-dont-install-qwt.patch
+ "${FILESDIR}"/${PN}-0.9.8.6-gold.patch
+ "${FILESDIR}"/${PN}-0.9.8.7-kde.patch
+ "${FILESDIR}"/${P}-set_col_values.patch
+ "${FILESDIR}"/${P}-adopt_to_alglib3.patch
+ "${FILESDIR}"/${P}-crasher_without_internet.patch
+ "${FILESDIR}"/${P}-private.patch
+ "${FILESDIR}"/${P}-sip-4.15.patch
+ "${FILESDIR}"/${P}-PyQt4-4.11.3.patch
+ )
+
+RESTRICT="!bindist? ( bindist )"
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ local mylibs
+
+ qt4-r2_src_prepare
+
+ rm -rf 3rdparty/{liborigin,QTeXEngine,/qwtplot3d/3rdparty/gl2ps/,boost,alglib} || die
+ sed \
+ -e "s:dll:static:g" \
+ -e "/INSTALLS/d" \
+ -i 3rdparty/qwtplot3d/*.pro
+
+ mylibs="${mylibs} -lquazip"
+ use mono && mylibs="${mylibs} $($(tc-getPKG_CONFIG) --libs libgdiplus)"
+
+ # Check build.conf for changes on bump.
+ cat > build.conf <<-EOF
+ # Automatically generated by Gentoo ebuild
+ isEmpty( QTI_ROOT ) {
+ message( "each file including this config needs to set QTI_ROOT to the dir containing this file!" )
+ }
+
+ MUPARSER_LIBS = $($(tc-getPKG_CONFIG) --libs muparser)
+ GSL_LIBS = $($(tc-getPKG_CONFIG) --libs gsl)
+ QWT_INCLUDEPATH = \$\$QTI_ROOT/3rdparty/qwt/src
+ QWT_LIBS = \$\$QTI_ROOT/3rdparty/qwt/lib/libqwt.a
+ QWT3D_INCLUDEPATH = \$\$QTI_ROOT/3rdparty/qwtplot3d/include
+ QWT3D_LIBS = \$\$QTI_ROOT/3rdparty/qwtplot3d/lib/libqwtplot3d.a
+ EMF_INCLUDEPATH = "${EPREFIX}/usr/include/libEMF
+ SYS_LIBS = -lgl2ps ${mylibs} -lGLU
+
+ LUPDATE = lupdate
+ LRELEASE = lrelease
+
+ SCRIPTING_LANGS += muParser
+
+ CONFIG += release
+ CONFIG += CustomInstall
+ DEFINES += SCRIPTING_CONSOLE
+
+ LIBPNG_LIBS = $($(tc-getPKG_CONFIG) --libs libpng)
+ TAMUANOVA_LIBS = -ltamuanova
+ TAMUANOVA_INCLUDEPATH = "${EPREFIX}/usr/include/tamu_anova"
+ ALGLIB_LIBS = -lalglib
+
+ EOF
+
+ use bindist && echo "DEFINES += QTIPLOT_SUPPORT" >> build.conf
+ use bindist || echo "DEFINES += QTIPLOT_PRO" >> build.conf
+ use python && echo "SCRIPTING_LANGS += Python" >> build.conf
+ use python && echo "PYTHON = ${EPYTHON}" >> build.conf
+ use latex && echo "TEX_ENGINE_LIBS = -lQTeXEngine" >> build.conf
+
+ sed \
+ -e "s:doc/${PN}/manual:doc/${PN}/html:" \
+ -e '/INSTALLS.*documentation/d' \
+ -e '/INSTALLS.*manual/d' \
+ -e "/INSTALLBASE/s: /usr: ${EPREFIX}/usr:g" \
+ -e 's:/usr/local/qtiplot:$$INSTALLBASE:g' \
+ -i qtiplot/qtiplot.pro || die
+
+ if use python; then
+ sed \
+ -e "s:/usr/local/${PN}:${EPREFIX}$(python_get_sitedir)/qtiplot:" \
+ -i qtiplot/qtiplot.pro || die
+ fi
+
+ sed \
+ -e "/^target.path/s:/usr:${EPREFIX}/usr:g" \
+ -i fitPlugins/*/*.pro || die
+
+ sed -e '/manual/d' -i qtiplot.pro || die
+
+ sed -e "s:QTIPLOT_PRO:QTIPLOT_PROFESSIONAL:g" -i qtiplot/src/core/main.cpp || die
+
+ # Drop langs only if LINGUAS is not empty
+ if [[ -n ${LINGUAS} ]]; then
+ for l in ${LANGS}; do
+ lu=${l/cz/cs}
+ lu=${lu/cn/zh_CN}
+ use linguas_${lu} || \
+ sed -e "s:translations/qtiplot_${l}.[tq][sm]::" \
+ -i qtiplot/qtiplot.pro || die
+ done
+ fi
+
+ sed \
+ -e "s:d_python_config_folder + \":\"${EPREFIX}/usr/share/qtiplot:g" \
+ -i qtiplot/src/core/ApplicationWindow.cpp || die
+
+ chmod -x qtiplot/qti_wordlist.txt
+
+ # sed out debian paths
+ sed -e 's:\(/usr/share/sgml/\)docbook/stylesheet/dsssl/modular\(/html/docbook.dsl\):\1stylesheets/dsssl/docbook\2:' \
+ -i manual/qtiplot.dsl || die
+ sed -e 's:\(/usr/share/\)xml/docbook/stylesheet/nwalsh\(/html/chunk.xsl\):\1sgml/docbook/xsl-stylesheets\2:' \
+ -i manual/qtiplot_html.xsl || die
+
+ sed \
+ -e '1i#define OF(x) x' \
+ -i 3rdparty/zlib/minigzip.c || die
+}
+
+src_configure() {
+ use amd64 && export QMAKESPEC="linux-g++-64"
+ eqmake4
+}
+
+src_compile() {
+ emake
+ lrelease qtiplot/qtiplot.pro || die
+ if use doc; then
+ cd manual
+ emake web
+ fi
+}
+
+src_install() {
+ qt4-r2_src_install
+
+ insinto /usr/share/qtiplot
+ doins qtiplot/qti_wordlist.txt
+
+ newicon qtiplot_logo.png qtiplot.png
+ make_desktop_entry qtiplot "QtiPlot Scientific Plotting" qtiplot
+
+ use doc && dohtml -r manual/html/*
+
+ use python && python_optimize
+
+ if [[ -n ${LINGUAS} ]]; then
+ insinto /usr/share/${PN}/translations
+ for l in ${LANGS}; do
+ lu=${l/cz/cs}
+ lu=${lu/cn/zh_CN}
+ use linguas_${lu} && \
+ doins qtiplot/translations/qtiplot_${l}.qm
+ done
+ fi
+}
+
+pkg_postinst() {
+ if use python; then
+ elog "You might want to emerge"
+ elog "\t dev-python/pygsl"
+ elog "\t dev-python/rpy"
+ elog "\t sci-libs/scipy and"
+ elog "\t dev-python/sympy"
+ elog "to gain full python support."
+ fi
+
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}